People & profiles

Get Org Bank Account Full Details

Decrypts and returns the full account number and country fields of an org bank account, writing an audit log.

GEThttps://api.toku.com/hris/get-org-bank-account-full-details

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-org-bank-account-full-details?orgBankAccountId=%3CorgBankAccountId%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "accountNumber": "string",
  "countryFields": [
    {
      "fieldId": "string",
      "label": "string",
      "value": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgBankAccountIdstring<uuid>required

Response

200Successful response
accountNumberstringrequired
countryFieldsobject[]required
Show child attributes
fieldIdstringrequired
labelstringrequired
valuestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits